import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
part 'widgets/container_responsive_widget.dart';
part 'widgets/text_responsive_widget.dart';
part 'widgets/edge_insets_responsive.dart';
part 'widgets/sized_box_responsive_widget.dart';

class ResponsiveWidgets {
  static const Size defaultSize = Size(360, 690);
  static Widget builder({
    Size designSize = defaultSize,
    bool allowFontScaling = false,
    Widget child,
  }) {
    return LayoutBuilder(
      builder: (context, constrains) {
        ResponsiveWidgets.init(
          constraints: constrains,
          designSize: designSize,
          allowFontScaling: allowFontScaling,
        );
        return child;
      },
    );
  }

  static void init({
    BoxConstraints constraints,
    Size designSize = defaultSize,
    bool allowFontScaling = false,
  }) {
    ScreenUtil.init(constraints = constraints,
        designSize: designSize, allowFontScaling: allowFontScaling);
  }
}
